aboutsummaryrefslogtreecommitdiffstats
path: root/community/ospd-ovaldi
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-18 12:05:38 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-18 12:05:38 +0000
commit191888b7771f06d954debee597dd41011e0bd3b4 (patch)
treedb6f66449e052b38cd5eb7bbb0ba9ca1a9f530a7 /community/ospd-ovaldi
parent205c287604f3f9556cb88a51b53d9687c959844a (diff)
downloadaports-191888b7771f06d954debee597dd41011e0bd3b4.tar.gz
aports-191888b7771f06d954debee597dd41011e0bd3b4.tar.bz2
aports-191888b7771f06d954debee597dd41011e0bd3b4.tar.xz
community/ospd-ovaldi moved from testing
Diffstat (limited to 'community/ospd-ovaldi')
-rw-r--r--community/ospd-ovaldi/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/community/ospd-ovaldi/APKBUILD b/community/ospd-ovaldi/APKBUILD
new file mode 100644
index 0000000000..d1ade03508
--- /dev/null
+++ b/community/ospd-ovaldi/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=ospd-ovaldi
+pkgver=1.0.0
+pkgrel=0
+_pkgid=2003
+pkgdesc="OSP server implementation to allow OpenVAS to remotely control ovaldi scanners"
+url="http://openvas.org/"
+arch="noarch"
+license="GPLV2+"
+depends="python ospd"
+depends_dev=""
+makedepends="$depends_dev py-setuptools py-paramiko"
+install=""
+subpackages=""
+source="http://wald.intevation.org/frs/download.php/$_pkgid/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+
+md5sums="4499975fda78abfb6014a18733615a29 ospd-ovaldi-1.0.0.tar.gz"
+sha256sums="9518f7c8a274de7e7d9b278ad8060084bf14d3806856301f4bc86ab5d3f60af6 ospd-ovaldi-1.0.0.tar.gz"
+sha512sums="73a0e2782225ca010abcf3ba45378238da44450fd856a2dc6dfbcc1d24c83a8b5e1e252189029c80bab850dff4b91c8f461f49b4a3410e86285b85ce4ac5113a ospd-ovaldi-1.0.0.tar.gz"